{
  onTryHit(target, source, move) {
    if (!move || target === source) return;
    if (move.effectType !== "Move") return;
    if ((move.priority || 0) <= 0) return;

    if (!this.heal(target.baseMaxhp / 4)) {
      this.add("-immune", target, "[from] ability: Resolute");
    }
    return null;
  },
  flags: { breakable: 1 },
  name: "Resolute",
  rating: 3.5,
  num: -64701
}